<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\BayerischerApothekertagStudenten\SaveAnmeldeFormular;

class SaveAnmeldeFormularPresenter extends \Kufer\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new SaveAnmeldeFormularView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new SaveAnmeldeFormularViewModel();
    $viewModel->statusCode = $this->useCaseResponse->statusCode;
    $viewModel->wrongFields = $this->useCaseResponse->wrongFields;

    return $viewModel;
  }
}